<?php
require_once("class/class.bbdd.php");
$bbdd = new BBDD();

//Resposta per defecte (Negativa)
$response["success"] = "0"; 

$userCode = $bbdd->checkParameter('userCode');
$listTitl = $bbdd->checkParameter('listTitl');
$ingrName = $bbdd->checkParameter('ingrName');
$ingrQuan = $bbdd->checkParameter('ingrQuan');

//Valida que s'haguin rebut tots els paràmetres
if ($userCode !== 0 && $listTitl !== 0 && $ingrName !== 0 && $ingrQuan !== 0) {	
	//Recepta
	$listCode = $bbdd->insertID("Lists", "listUser,listTitle", "'".$userCode."', '".$listTitl."'");
	
	//Ingredients
	ksort($_GET['ingrName']);
	ksort($_GET['ingrQuan']);
	foreach($_GET['ingrName'] as $key => $ingr) {	
		$ingrCode = $bbdd->insertID("Ingredients","ingrName","'".$ingr."'");
		$results = $bbdd->insert("IngredientsLists", "inliList,inliIngredient,inliQuantity", "'".$listCode."','".$ingrCode."','".$_GET['ingrQuan'][$key]."'");	
	}
	
	//Resposta: Positiva
	$response["success"] = "1"; 
	$response["message"] = "S'ha creat la llista correctament.";	
		
} else {	
	//Resposta: Falten paràmetres 
	$response["message"] = "No s'han especificat tots els paràmetres.";	
}

//Retorna els resultats en Json 
echo json_encode($response,JSON_UNESCAPED_UNICODE);
?>